DtausException
Date: 2015-04-26

de.jost_net.OBanToo.Dtaus

## Class DtausException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.jost_net.OBanToo.Dtaus.DtausException

- All Implemented Interfaces:
    java.io.Serializable

      public class DtausException
      extends java.lang.Exception

  Exception des DTAUS-Parsers
  Author:
    Heiner Jostkleigrewe
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_AUFTRAGGEBER_FEHLERHAFT`
    `static java.lang.String` | `A_AUSFUEHRUNGSDATUM_FEHLERHAFT`
    `static java.lang.String` | `A_BLZ_FEHLERHAFT`
    `static java.lang.String` | `A_DATEIERSTELLUNGSDATUM_FEHLERHAFT`
    `static java.lang.String` | `A_GUTSCHRIFT_LASTSCHRIFT_FEHLERHAFT`
    `static java.lang.String` | `A_KONTO_FEHLERHAFT`
    `static java.lang.String` | `A_REFERENZ_FEHLERHAFT`
    `static java.lang.String` | `A_SATZART_FEHLERHAFT`
    `static java.lang.String` | `A_SATZLAENGENFELD_FEHLERHAFT`
    `static java.lang.String` | `A_WAEHRUNGSKENNZEICHEN_FEHLERHAFT`
    `static java.lang.String` | `C_BETRAG_FEHLERHAFT`
    `static java.lang.String` | `C_BLZENDBEGUENSTIGT_FEHLERHAFT`
    `static java.lang.String` | `C_BLZERSTBETEILIGT_FEHLERHAFT`
    `static java.lang.String` | `C_ERSTBEAUFTRAGTESINSTITUT_FEHLERHAFT`
    `static java.lang.String` | `C_ERWEITERUNG_FEHLERHAFT`
    `static java.lang.String` | `C_ERWEITERUNGSZEICHEN_FEHLERHAFT`
    `static java.lang.String` | `C_INTERNEKUNDENNUMMER_FEHLERHAFT`
    `static java.lang.String` | `C_KONTOAUFTRAGGEBER_FEHLERHAFT`
    `static java.lang.String` | `C_KONTONUMMER_FEHLERHAFT`
    `static java.lang.String` | `C_NAME_ABSENDER`
    `static java.lang.String` | `C_NAME_ABSENDER2`
    `static java.lang.String` | `C_NAME_EMPFAENGER`
    `static java.lang.String` | `C_NAME_EMPFAENGER2`
    `static java.lang.String` | `C_SATZART_FEHLERHAFT`
    `static java.lang.String` | `C_SATZLAENGE_FEHLERHAFT`
    `static java.lang.String` | `C_TEXTSCHLUESSEL_FEHLERHAFT`
    `static java.lang.String` | `C_VERWENDUNGSZWECK_FEHLERHAFT`
    `static java.lang.String` | `C_WAEHRUNGSKENNZEICHEN_FEHLERHAFT`
    `static java.lang.String` | `E_ANZAHL_CSAETZE_FEHLERHAFT`
    `static java.lang.String` | `E_SATZART_FEHLERHAFT`
    `static java.lang.String` | `E_SATZLAENGENFELD_FEHLERHAFT`
    `static java.lang.String` | `E_SUMME_BETRAEGE_FEHLERHAFT`
    `static java.lang.String` | `SATZLAENGE_FEHLERHAFT`
    `private static long` | `serialVersionUID`
    `static java.lang.String` | `UNGUELTIGE_LOGISCHE_DATEI`
    `static java.lang.String` | `UNGUELTIGES_ZEICHEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DtausException(java.lang.String text)`
    `DtausException(java.lang.String text, java.lang.String value)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### A_AUSFUEHRUNGSDATUM_FEHLERHAFT

          public static final java.lang.String A_AUSFUEHRUNGSDATUM_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_SATZLAENGENFELD_FEHLERHAFT

          public static final java.lang.String A_SATZLAENGENFELD_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_SATZART_FEHLERHAFT

          public static final java.lang.String A_SATZART_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_GUTSCHRIFT_LASTSCHRIFT_FEHLERHAFT

          public static final java.lang.String A_GUTSCHRIFT_LASTSCHRIFT_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_BLZ_FEHLERHAFT

          public static final java.lang.String A_BLZ_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_AUFTRAGGEBER_FEHLERHAFT

          public static final java.lang.String A_AUFTRAGGEBER_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_DATEIERSTELLUNGSDATUM_FEHLERHAFT

          public static final java.lang.String A_DATEIERSTELLUNGSDATUM_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_KONTO_FEHLERHAFT

          public static final java.lang.String A_KONTO_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_REFERENZ_FEHLERHAFT

          public static final java.lang.String A_REFERENZ_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### A_WAEHRUNGSKENNZEICHEN_FEHLERHAFT

          public static final java.lang.String A_WAEHRUNGSKENNZEICHEN_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_SATZLAENGE_FEHLERHAFT

          public static final java.lang.String C_SATZLAENGE_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_SATZART_FEHLERHAFT

          public static final java.lang.String C_SATZART_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_BLZERSTBETEILIGT_FEHLERHAFT

          public static final java.lang.String C_BLZERSTBETEILIGT_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_BLZENDBEGUENSTIGT_FEHLERHAFT

          public static final java.lang.String C_BLZENDBEGUENSTIGT_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_KONTONUMMER_FEHLERHAFT

          public static final java.lang.String C_KONTONUMMER_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_NAME_EMPFAENGER

          public static final java.lang.String C_NAME_EMPFAENGER

      See Also:
        Constant Field Values

    - #### C_NAME_EMPFAENGER2

          public static final java.lang.String C_NAME_EMPFAENGER2

      See Also:
        Constant Field Values

    - #### C_NAME_ABSENDER

          public static final java.lang.String C_NAME_ABSENDER

      See Also:
        Constant Field Values

    - #### C_NAME_ABSENDER2

          public static final java.lang.String C_NAME_ABSENDER2

      See Also:
        Constant Field Values

    - #### C_INTERNEKUNDENNUMMER_FEHLERHAFT

          public static final java.lang.String C_INTERNEKUNDENNUMMER_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_TEXTSCHLUESSEL_FEHLERHAFT

          public static final java.lang.String C_TEXTSCHLUESSEL_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_ERSTBEAUFTRAGTESINSTITUT_FEHLERHAFT

          public static final java.lang.String C_ERSTBEAUFTRAGTESINSTITUT_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_KONTOAUFTRAGGEBER_FEHLERHAFT

          public static final java.lang.String C_KONTOAUFTRAGGEBER_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_BETRAG_FEHLERHAFT

          public static final java.lang.String C_BETRAG_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_WAEHRUNGSKENNZEICHEN_FEHLERHAFT

          public static final java.lang.String C_WAEHRUNGSKENNZEICHEN_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_ERWEITERUNGSZEICHEN_FEHLERHAFT

          public static final java.lang.String C_ERWEITERUNGSZEICHEN_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_ERWEITERUNG_FEHLERHAFT

          public static final java.lang.String C_ERWEITERUNG_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### C_VERWENDUNGSZWECK_FEHLERHAFT

          public static final java.lang.String C_VERWENDUNGSZWECK_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### E_SATZLAENGENFELD_FEHLERHAFT

          public static final java.lang.String E_SATZLAENGENFELD_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### E_SATZART_FEHLERHAFT

          public static final java.lang.String E_SATZART_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### E_ANZAHL_CSAETZE_FEHLERHAFT

          public static final java.lang.String E_ANZAHL_CSAETZE_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### E_SUMME_BETRAEGE_FEHLERHAFT

          public static final java.lang.String E_SUMME_BETRAEGE_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### SATZLAENGE_FEHLERHAFT

          public static final java.lang.String SATZLAENGE_FEHLERHAFT

      See Also:
        Constant Field Values

    - #### UNGUELTIGES_ZEICHEN

          public static final java.lang.String UNGUELTIGES_ZEICHEN

      See Also:
        Constant Field Values

    - #### UNGUELTIGE_LOGISCHE_DATEI

          public static final java.lang.String UNGUELTIGE_LOGISCHE_DATEI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DtausException

          public DtausException(java.lang.String text)

    - #### DtausException

          public DtausException(java.lang.String text,
                        java.lang.String value)